POST
/commentsList comments for a page
Lists comments for a page in cursor-paginated results. Supply pageId and optionally use cursor to continue from the previous response or limit to control the number of results. Results include creator and resolution information.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The page to list comments for and optional cursor pagination settings. pageId is required.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
The number of comments to return, from 1 to 100. Defaults to 20 when omitted.
pageIdstringrequired
The ID of the page whose comments to list.
200Returns a paginated list of comments with creator and resolvedBy information.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the request is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the page is not found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
pageId is required. limit must be between 1 and 100, and defaults to 20 when omitted; cursor, if provided, must be base64-encoded. A 403 is returned when the request is forbidden, and a 404 is returned when the page is not found.